cURL
curl --request GET \
--url https://api.botpress.cloud/v1/files/tags \
--header 'Authorization: Bearer <token>' \
--header 'x-bot-id: <x-bot-id>'import requests
url = "https://api.botpress.cloud/v1/files/tags"
headers = {
"x-bot-id": "<x-bot-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-bot-id': '<x-bot-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.botpress.cloud/v1/files/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tags": [
"<string>"
],
"meta": {
"nextToken": "<string>"
}
}{
"tags": [
"<string>"
],
"meta": {
"nextToken": "<string>"
}
}List available tags
GET
/
v1
/
files
/
tags
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bot id
Integration id
Integration alias
Integration name
User Id
User Role
Query Parameters
Provide the meta.nextToken value provided in the last API response to retrieve the next page of results
Number of items to return per page (default 20, max 100)
Last modified on July 3, 2026
Was this page helpful?
⌘I